View Issue Details

IDProjectCategoryView StatusLast Update
0008741VALENTINA SERVERPrefs Panepublic2020-03-06 06:42
ReporterSergey PashkovAssigned ToIvan Smahin 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version10.0.x 
Target Version10.0.xFixed in Version10.0.x 
Summary0008741: Use standard macOS authorization dialog in the Valentina Server preference pane
DescriptionCurrently, the password is entered in the custom dialog.
The proper way is to use Authorization Services
https://developer.apple.com/documentation/security/authorization_services#//apple_ref/c/func/AuthorizationExecuteWithPrivileges

Another benefit is that it will be possible to authenticate with Touch ID without entering a password.

Here's an example of how to implement this functionality:
https://github.com/sveinbjornt/STPrivilegedTask
TagsNo tags attached.

Relationships

related to 0008740 new Don't use sudo in start_me and stop_me 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-03-01 08:37 Sergey Pashkov New Issue
2020-03-05 07:10 Ivan Smahin Relationship added related to 0008740
2020-03-06 06:42 Ivan Smahin Assigned To => Ivan Smahin
2020-03-06 06:42 Ivan Smahin Status new => resolved
2020-03-06 06:42 Ivan Smahin Resolution open => fixed
2020-03-06 06:42 Ivan Smahin Fixed in Version => 10.0.x